# Bedside Clock

Networked bedside clock utilising an ESP32-SOLO-1.

## Planned Features

- [x] Audio alerts
- [x] 7 segment display
- [x] WiFi networking
- [x] Console for configuration
- [ ] TCP API for configuration
- [x] SNTP synchronisation
- [x] Snooze and dismiss buttons
- [ ] Multiple alarms
- [ ] Alarm conditions (e.g. weekday / weekend)
- [ ] IPv6 support

## Firmware

The firmware is a standard ESP-IDF v5.0 project; refer to [Espressif's
ESP-IDF
docs](https://docs.espressif.com/projects/esp-idf/en/release-v5.0/esp32/index.html).
